Go to the latest version of this document.

# ``twisted`.`internet`.`ssl`.`ClientContextFactory``

class documentation

`class ClientContextFactory: (source)`

Implements interfaces: `twisted.internet.interfaces.IOpenSSLContextFactory`

View In Hierarchy

A context factory for SSL clients.

Method | `getContext` | Returns a TLS context object, suitable for securing a TLS connection. This context object will be appropriately customized for the connection based on the state in this object.
Class Variable | `isClient` | Undocumented

def getContext(self): (source)
from `twisted.internet.interfaces.IOpenSSLContextFactory`

Returns a TLS context object, suitable for securing a TLS connection. This context object will be appropriately customized for the connection based on the state in this object.

Returns
A TLS context object.

isClient: `int` = (source)

Undocumented